// Generated by gencpp from file pick_and_delivery/RoomAddressee.msg
// DO NOT EDIT!


#ifndef PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEE_H
#define PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEE_H

#include <ros/service_traits.h>


#include <pick_and_delivery/RoomAddresseeRequest.h>
#include <pick_and_delivery/RoomAddresseeResponse.h>


namespace pick_and_delivery
{

struct RoomAddressee
{

typedef RoomAddresseeRequest Request;
typedef RoomAddresseeResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct RoomAddressee
} // namespace pick_and_delivery


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::pick_and_delivery::RoomAddressee > {
  static const char* value()
  {
    return "a5d6422f6567a1a1a33df37ff1866e83";
  }

  static const char* value(const ::pick_and_delivery::RoomAddressee&) { return value(); }
};

template<>
struct DataType< ::pick_and_delivery::RoomAddressee > {
  static const char* value()
  {
    return "pick_and_delivery/RoomAddressee";
  }

  static const char* value(const ::pick_and_delivery::RoomAddressee&) { return value(); }
};


// service_traits::MD5Sum< ::pick_and_delivery::RoomAddresseeRequest> should match
// service_traits::MD5Sum< ::pick_and_delivery::RoomAddressee >
template<>
struct MD5Sum< ::pick_and_delivery::RoomAddresseeRequest>
{
  static const char* value()
  {
    return MD5Sum< ::pick_and_delivery::RoomAddressee >::value();
  }
  static const char* value(const ::pick_and_delivery::RoomAddresseeRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::pick_and_delivery::RoomAddresseeRequest> should match
// service_traits::DataType< ::pick_and_delivery::RoomAddressee >
template<>
struct DataType< ::pick_and_delivery::RoomAddresseeRequest>
{
  static const char* value()
  {
    return DataType< ::pick_and_delivery::RoomAddressee >::value();
  }
  static const char* value(const ::pick_and_delivery::RoomAddresseeRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::pick_and_delivery::RoomAddresseeResponse> should match
// service_traits::MD5Sum< ::pick_and_delivery::RoomAddressee >
template<>
struct MD5Sum< ::pick_and_delivery::RoomAddresseeResponse>
{
  static const char* value()
  {
    return MD5Sum< ::pick_and_delivery::RoomAddressee >::value();
  }
  static const char* value(const ::pick_and_delivery::RoomAddresseeResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::pick_and_delivery::RoomAddresseeResponse> should match
// service_traits::DataType< ::pick_and_delivery::RoomAddressee >
template<>
struct DataType< ::pick_and_delivery::RoomAddresseeResponse>
{
  static const char* value()
  {
    return DataType< ::pick_and_delivery::RoomAddressee >::value();
  }
  static const char* value(const ::pick_and_delivery::RoomAddresseeResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // PICK_AND_DELIVERY_MESSAGE_ROOMADDRESSEE_H
